////////////////////////////////////////////////////////////////////////
// Arduino Bluetooth Interface with Mindset - Reset BlueSMiRF
// 
// This is example code provided by NeuroSky and is provided
// license free.
////////////////////////////////////////////////////////////////////////

#include <SoftwareSerial.h>

// Output pin definitions
#define rxPin 2                          
#define txPin 3
#define ledPin 4

SoftwareSerial Serial2 =  SoftwareSerial(rxPin, txPin);      // set up a software serial port, blocked reads

int counter = 0;
int btresponse = -1;

void setup()
{   
  pinMode(rxPin,INPUT);
  pinMode(txPin,OUTPUT);
  pinMode(ledPin, OUTPUT);
  
  delay(12000);	        // 12 second delay, BlueSMiRF reset time
  
  Serial.begin(9600);       // USB Speed: 9600bps
  Serial2.begin(9600);      // Bluetooth Speed: 9600 

  Serial.print('3');
  
  // Send special command to BT module to enter command mode
  Serial2.print('$');    // BT: prints out 24
  Serial2.print('$');    // BT: prints out 24
  Serial2.print('$');    // BT: prints out 24
}

////////////////////////////////
// Read data from Serial UART //
////////////////////////////////
byte ReadOneByte(){
  int ByteRead;
  
  ByteRead = Serial2.read();     // read from the Bluetooth Serial
  Serial.print((char)ByteRead);  // eacho the same byte out the USB serial (for debug purposes)
  
  return ByteRead;
}


void loop() {
  
  delay(1000);
  
  while (counter < 3)    // must read CMD response before sending commands
  {
    ReadOneByte();
    counter++;
  }

  Serial2.print('S');    // BT: Reset factory defaults, no CR needed
  Serial2.print('F');        
  Serial2.print(',');    
  Serial2.println('1');  

  while(1)
  {
    Serial2.print(' ');      // goes to bluetooth uart
    Serial2.print(' ');      // goes to bluetooth uart
    Serial2.print(' ');      // goes to bluetooth uart
    
    Serial.print('1');      // '1' = 31h goes to USB uart
    digitalWrite(ledpin,LOW);
    delay(500);	
    digitalWrite(ledpin,HIGH);
    delay(500);	
  }
  
} 
